这玩意儿简直太能折腾人了……

安装EPEL Release,因为安装需要使用其他的repo源,所以需要EPEL支持:

yum install -y epel-release 

 

#如果出现缺少Code提示,可以:

rpm --import /etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-7
#安装完成之后,可以查看是否安装成功
yum repolist 

 

安装Nux Dextop Yum 源

由于CentOS没有官方FFmpeg rpm软件包。但是,我们可以使用第三方YUM源(Nux Dextop)完成此工作。

  • CentOS 7
#导入一个Code
rpm --import http://li.nux.ro/download/nux/RPM-GPG-KEY-nux.ro
#安装nux-dextop 源
rpm -Uvh http://li.nux.ro/download/nux/dextop/el7/x86_64/nux-dextop-release-0-5.el7.nux.noarch.rpm
#查看repo源是否安装成功
yum repolist 

 

  • CentOS 6
rpm --import http://li.nux.ro/download/nux/RPM-GPG-KEY-nux.ro
rpm -Uvh http://li.nux.ro/download/nux/dextop/el6/x86_64/nux-dextop-release-0-2.el6.nux.noarch.rpm

 

安装FFmpeg 和 FFmpeg开发包

yum install -y ffmpeg ffmpeg-devel

 

但是如果并非版本较新的系统,实际安装时会出现各种依赖缺失:

图中依次为:libassopenal-softschroedinger

然后一堆装依赖时又是依赖套依赖的,装依赖装到死……

以下使用的依赖全部是适用于CentOS 7 64位的,其他系统请自行查询对应下载地址
以下使用的依赖不一定是最新版本的,强迫症请自行查询最新版本下载地址

libass需要:fribidiharfbuzz

yum install fribidi
yum install harfbuzz

#安装libass
rpm -Uvh http://dl.fedoraproject.org/pub/epel/7/x86_64/Packages/l/libass-0.13.4-1.el7.x86_64.rpm

 

openal-soft

#安装openal-soft
rpm -Uvh http://dl.fedoraproject.org/pub/epel/7/x86_64/Packages/o/openal-soft-1.16.0-3.el7.x86_64.rpm

 

schroedinger需要:orc

yum install orc

#安装schroedinger
rpm -Uvh http://dl.fedoraproject.org/pub/epel/7/x86_64/Packages/s/schroedinger-1.0.11-4.el7.x86_64.rpm

 

把这些依赖全部安装完后再去装ffmpeg应该就没问题了……如果有其他依赖缺失可以去pkgs.org自行查找安装。

安装完成后检查ffmpeg 版本:

ffmpeg -version

 


本文被阅读了:359次

作者头像
关于  Ailitonia

正因站在了巨人的肩膀上,才越发觉得自己渺小。不求成为巨人,但求与其同行。 把自己所见所闻,记录下来。

→查看所有由Ailitonia发布的文章